childstate_getStorage - Midnight

Example code for the childstate_getStorage JSON-RPC method. Complete guide on how to use childstate_getStorage JSON-RPC in GetBlock Web3 documentation.

This method returns the value at a given key within a child trie.

Parameters

Parameter
Type
Required
Description

childStorageKey

string

Yes

Hex-encoded identifier of the child storage trie

key

string

Yes

Hex-encoded key within the child trie

hash

string

No

Block hash to query at. Defaults to the current best block

Request Example

curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "childstate_getStorage",
    "params": [
        "0x3a6368696c645f73746f726167653a64656661756c743a",
        "0x80"
    ],
    "id": "getblock.io"
}'

Response Example

Response Parameters

Field
Type
Description

result

string | null

Hex-encoded child storage value, or null if unset

Use Cases

  • Reading individual contract storage entries

  • Debugging contract behaviour

  • Building per-contract state explorers

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid <ACCESS-TOKEN>

-32602

Invalid params

Request parameters are missing or malformed

429

Too Many Requests

Rate limit exceeded for your plan

SDK Integration

Last updated

Was this helpful?